## xmldiff 2.4

=== Makefile ===
root_dir := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
dfm_source_2 := "https://raw.githubusercontent.com/google/diff-match-patch/master/python2/diff_match_patch.py"
dfm_source_3 := "https://raw.githubusercontent.com/google/diff-match-patch/master/python3/diff_match_patch.py"

all: coverage flake

flake:
	flake8 tests xmldiff --exclude *diff_match_patch*.py

coverage:
	coverage run setup.py test
	coverage html
	coverage report

test:
	python setup.py test

update-diff-match-patch:
	wget $(dfm_source_2) -O $(root_dir)/xmldiff/_diff_match_patch_py2.py
	wget $(dfm_source_3) -O $(root_dir)/xmldiff/_diff_match_patch_py3.py

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command-line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/xmldiff.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/xmldiff.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/xmldiff"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/xmldiff"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
sphinx-argparse==0.2.2

## xmldiff 2.3

=== debian/changelog ===
xmldiff (2.3-2) unstable; urgency=medium

  * QA upload.
  * debian/control
    - add Vcs-* fields

 -- Sandro Tosi <morph@debian.org>  Mon, 02 Sep 2019 20:19:23 -0400

xmldiff (2.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release; Closes: #921610, #269347, #524981
  * debian/control
    - update Homepage file for new upstream location
    - bump Standards-Version to 4.4.0 (no changes needed)
    - update description; Closes: #588148
  * debian/watch
    - point to github
  * debian/source/format
    - switch source format to 3.0 quilt
  * Switch to python 3; Closes: #938849
  * bump compat to 12
  * debian/copyright
    - update to new upstream code
  * Build sphinx doc

 -- Sandro Tosi <morph@debian.org>  Mon, 02 Sep 2019 20:14:44 -0400

xmldiff (0.6.10-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #852629) (Closes: #833327)

 -- Adrian Bunk <bunk@debian.org>  Wed, 25 Jan 2017 21:25:02 +0200

xmldiff (0.6.10-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Update dependency on sp to opensp.

 -- Neil Roeth <neil@debian.org>  Mon, 03 Oct 2016 08:29:43 -0400

xmldiff (0.6.10-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build-arch and build-indep targets to debian/rules to fix
    FTBFS with newer versions of dpkg (Closes: #822039)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 03 Aug 2016 05:59:29 +0200

xmldiff (0.6.10-2.1) unstable; urgency=medium

  [ Benjamin Drung ]
  * Non-maintainer upload.
  * Port from python-support to dh_python (Closes: #786023)
  * Add missing ${misc:Depends} to dependencies

  [ Stefano Rivera ]
  * Drop pycompat, it's not useful or used.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 19 Aug 2015 22:10:43 +0200

xmldiff (0.6.10-2) unstable; urgency=low

  * Fixed Uploaders field in debian/control (closes: #602619)

 -- Alexandre Fayolle <afayolle@debian.org>  Mon, 08 Nov 2010 09:57:17 +0100

xmldiff (0.6.10-1) unstable; urgency=low

  * Apply Daiki Ueno patch: fails when comparing minimal trees on i386 (closes: #570727)
  * Acknowledge NMU (closes: #570727, #547860)
  * Changed helper from pycentral to pysupport

 -- Alexandre Fayolle <afayolle@debian.org>  Mon, 30 Aug 2010 15:08:36 +0200

xmldiff (0.6.9-1) unstable; urgency=low

  * Fix a bug : xmldiff-xmlrev compilation error  (closes: #484768)

 -- Graziella Toutoungis <graziella.toutoungis@logilab.fr>  Fri, 03 Apr 2009 10:41:19 +0200

xmldiff (0.6.8-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix id() calculation in extensions/maplookup.c; that fixes comparison
    errors on minimal trees (on i386). Patch by Daiki Ueno, applied
    upstream (see http://www.logilab.org/ticket/21853). (Closes: #570727)

 -- Stefano Zacchiroli <zack@debian.org>  Thu, 18 Mar 2010 11:14:40 +0100

xmldiff (0.6.8-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    + Conditionally use $(py_setup_install_args) from python.mk and remove
      unneeded files from dist-packages as well to enable building with
      Python 2.6. (Closes: #547860)
  * Standards Version is now 3.8.3 (no changes needed).

 -- Kumar Appaiah <akumar@debian.org>  Mon, 19 Oct 2009 22:21:57 -0500

xmldiff (0.6.8-4) unstable; urgency=low

  * Fixed __future__ import (closes: #476161)
  * dropped mentions of python2.3-xmldiff which no longer exists in stable
  * updated to new standards
  * fixed encoding of debian/copyright

 -- Alexandre Fayolle <afayolle@debian.org>  Thu, 17 Apr 2008 15:18:10 +0200

xmldiff (0.6.8-3) unstable; urgency=low

  * Fixed package description (closes: #383788, #420781)
  * converted changelog and manpages to UTF-8

 -- Alexandre Fayolle <afayolle@debian.org>  Fri, 11 May 2007 10:53:50 +0200

xmldiff (0.6.8-2) unstable; urgency=low

  * updated standards to 3.7.2
  * use debhelper 5
  * new python policy

 -- Alexandre Fayolle <afayolle@debian.org>  Thu, 15 Jun 2006 08:47:44 +0200

xmldiff (0.6.8-1) unstable; urgency=low

  * New upstream release, fixing 64bit cleanness issues

 -- Alexandre Fayolle <afayolle@debian.org>  Wed, 29 Jun 2005 08:52:11 +0200

xmldiff (0.6.7-1) unstable; urgency=low

  * New upstream release
    - Fixes xupdate:move command problem (closes: #275750)
    - small improvments / reorganization
  * Update copyright file
  * Add an empty line at the bottom of watch
  * Fix some encoding problem in this file (latin1 instead of utf-8)

 -- Sylvain ThÃ©nault <sylvain.thenault@logilab.fr>  Tue,  3 May 2005 17:41:09 +0200

xmldiff (0.6.6-1) unstable; urgency=low

  * New upstream release
    - Includes Bastian Kleineidam's patch which fixes many bugs/typos in  xmlrev (closes: #285167, #285164, #285165)
    - Adds a man page for xmldiff and xmlrev (closes: #286558)
  * Removed python2.1-dev and python2.2-dev from build dependencies

 -- Alexandre Fayolle <afayolle@debian.org>  Wed, 22 Dec 2004 15:54:52 +0100

xmldiff (0.6.5-1) unstable; urgency=low

  * New upstream release (closes: #278830)
  * Put xmlrev in a separate package, with proper dependencies
    (closes: #269343)
  * Fixed use of DH_OPTIONS in debian/rules (closes: #276904)
  * Updated build dependency on debhelper
  * Now suggests python-psyco
  * Changed section of xmldiff and xmldiff-xmlrev to text, where other xml
    related tools can be found
  * Updated debian/watch to version 2 of uupdaterol


 -- Alexandre Fayolle <afayolle@debian.org>  Wed, 10 Nov 2004 18:36:35 +0100

xmldiff (0.6.4-5) unstable; urgency=low

  * Changed the Build-Depends-Indep into Build-Depends (closes: #268592)

 -- Alexandre Fayolle <afayolle@debian.org>  Mon, 30 Aug 2004 11:43:27 +0200

xmldiff (0.6.4-4) unstable; urgency=low

  * First upload to debian  (closes: #267598)
  * New maintainer

 -- Alexandre Fayolle <afayolle@debian.org>  Wed, 25 Aug 2004 22:08:48 +0200

xmldiff (0.6.4-3) unstable; urgency=low

  * move test in a separated package



=== debian/control ===
Source: xmldiff
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3, python3-setuptools, python3-six, python3-lxml, python3-sphinx, python3-sphinx-argparse
Standards-Version: 4.4.0
Homepage: https://github.com/Shoobx/xmldiff
Vcs-Git: https://salsa.debian.org/debian/xmldiff.git
Vcs-Browser: https://salsa.debian.org/debian/xmldiff

Package: xmldiff
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python3-psyco
Description: library and command line utility for diffing xml
 xmldiff is a library and a command-line utility for making diffs out of XML.
 This may seem like something that doesn't need a dedicated utility, but change
 detection in hierarchical data is very different from change detection in flat
 data. XML type formats are also not only used for computer readable data, it is
 also often used as a format for hierarchical data that can be rendered into
 human readable formats. A traditional diff on such a format would tell you line
 by line the differences, but this would not be be readable by a human. xmldiff
 provides tools to make human readable diffs in those situations.
 .
 The diff algorithm is based on _Change detection in hierarchically
 structured - information_, by S. Chawathe, A. Rajaraman,
 H. Garcia-Molina and J. Widom, - Stanford University, 1996

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build

	$(MAKE) -C docs html

override_dh_auto_install:
	python3 setup.py -v install --root=debian/xmldiff --install-layout=deb
	# remove test directory (installed in a separated package)
	rm -rf debian/xmldiff/usr/lib/python*/*-packages/xmldiff/test debian/xmldiff/usr/share/sgml/ debian/xmldiff/usr/bin/xmlrev

	# install tests
	(cd tests && find . -type f -not \( -path '*/CVS/*' -or -name '*.pyc' \) -exec install -D --mode=644 {} ../debian/xmldiff/usr/share/doc/xmldiff/test/{} \;)

override_dh_installdocs:
	dh_installdocs -i -A README.rst CHANGES.rst docs/build/html

override_dh_compress:
	dh_compress -i -X.py

## xmldiff 2.4

=== debian/changelog ===
xmldiff (2.4-3) unstable; urgency=medium

  * New maintainer. (Closes: #852629)
  * debian/control:
      - Bumped debhelper to 13.
      - Bumped Standards-Version to 4.6.2.
  * debian/copyright: updated packaging copyright years.
  * debian/lintian-overrides: created to override a wrong sample file.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Tue, 10 Oct 2023 08:03:43 -0300

xmldiff (2.4-2) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 0.6.4-1.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Feb 2021 17:57:19 +0000

xmldiff (2.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 2.4.
  * debian/copyright: updated the upstream copyright years and added a
      new upstream.
  * debian/manpage/:
      - Duplicated the code of create-man.sh to generate two manpages.
      - Updated all files to generate updated 2.4 manpages.

 -- Thiago Andrade Marques <thmarques@gmail.com>  Mon, 04 Nov 2019 12:15:11 -0300

xmldiff (2.3-3) unstable; urgency=medium

  * QA upload.
  * Run wrap-and-sort.
  * debian/changelog: fixed spelling errors.
  * debian/control:
      - Added ${sphinxdoc:Depends} in field Depends.
      - Added 'Rules-Requires-Root: no' in source stanza.
      - Bumped Standards-Version to 4.4.1.
      - Removed ${shlibs:Depends} in field Depends.
      - Reorganized, improved the short and long description and fixed
        a spelling error.
  * debian/copyright:
      - Added Apache2 license default text.
      - Added new upstream rights.
      - Added the block debian/*.
      - Added the block debian/manpage/create-man.sh.
  * debian/docs: created to install the upstream
      docs/source/contributing.rst file.
  * debian/doc-base: added to register the HTML file.
  * debian/manpage/*: created manpages to xmldiff and xmlpatch.
  * debian/manpages: created to install the manpages.
  * debian/rules:
      - Added the override_dh_auto_clean target to remove folders forgotten
        by upstream after building.
      - Removed all not needed lines with comments.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/*: added to perform tests.

 -- Thiago Andrade Marques <thmarques@gmail.com>  Wed, 30 Oct 2019 16:37:06 -0300

=== debian/control ===
Source: xmldiff
Section: misc
Priority: optional
Maintainer: Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-lxml,
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-sphinx-argparse
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/Shoobx/xmldiff
Vcs-Git: https://salsa.debian.org/debian/xmldiff.git
Vcs-Browser: https://salsa.debian.org/debian/xmldiff

Package: xmldiff
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-psyco
Description: library and command line utility for diffing xml files
 xmldiff is a library and a command-line utility for making diffs
 out of XML. This may seem like something that doesn't need a
 dedicated utility, but change detection in hierarchical data is
 very different from change detection in flat data. XML type formats
 are also not only used for computer readable data, it is also often
 used as a format for hierarchical data that can be rendered into human
 readable formats. A traditional diff on such a format would tell you
 line by line the differences, but that would not be readable by a human.
 xmldiff provides tools to make human readable diffs in those situations.
 .
 This package provides two possible commands: xmldiff and xmlpatch.
 .
 The diff algorithm is based on _Change detection in hierarchically
 structured - information_, by S. Chawathe, A. Rajaraman,
 H. Garcia-Molina and J. Widom, - Stanford University, 1996.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,4 @@
 #!/usr/bin/make -f
-# Sample debian/rules that uses debhelper.
-# GNU copyright 1997 to 1999 by Joey Hess.
-
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 %:
@@ -26,3 +22,8 @@
 
 override_dh_compress:
 	dh_compress -i -X.py
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf docs/build/
+	rm -rf xmldiff.egg-info/

## xmldiff 2.6.3

=== Makefile ===
root_dir := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
bin_dir := $(root_dir)/ve/bin
dfm_source_2 := "https://raw.githubusercontent.com/google/diff-match-patch/master/python2/diff_match_patch.py"
dfm_source_3 := "https://raw.githubusercontent.com/google/diff-match-patch/master/python3/diff_match_patch.py"

all: check coverage

# The fullrelease script is a part of zest.releaser, which is the last
# package installed, so if it exists, the devenv is installed.
devenv:	ve/bin/fullrelease

ve/bin/fullrelease:
	virtualenv $(root_dir)/ve --python python3
	$(bin_dir)/pip install -e .[devenv]

check: devenv
	$(bin_dir)/black xmldiff tests
	$(bin_dir)/flake8 xmldiff tests
	$(bin_dir)/pyroma -d .

coverage: devenv
	$(bin_dir)/coverage run -m unittest
	$(bin_dir)/coverage html
	$(bin_dir)/coverage report

test: devenv
	$(bin_dir)/python -bb -X dev -W ignore::UserWarning:setuptools.dist -m unittest --verbose

release: devenv
	$(bin_dir)/fullrelease

update-diff-match-patch:
	wget $(dfm_source_3) -O $(root_dir)/xmldiff/diff_match_patch.py

=== debian/changelog ===
xmldiff (2.6.3-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not generate a dependency on python3-pkg-resources (Closes: #1083995)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 15:37:36 +0100

xmldiff (2.6.3-0.1) unstable; urgency=medium

  * Non-maintainer Upload
  * New upstream version 2.6.3
  * Add gbp.conf
  * Remove old dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 May 2024 15:54:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-lxml,
                python3-setuptools,
-               python3-six,
                python3-sphinx,
                python3-sphinx-argparse
 Standards-Version: 4.6.2

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,9 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 
 	$(MAKE) -C docs html
 
@@ -23,7 +22,6 @@
 override_dh_compress:
 	dh_compress -i -X.py
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -rf docs/build/
 	rm -rf xmldiff.egg-info/

=== debian/tests/control ===
Test-Command: xmldiff debian/tests/all_actions.left.xml debian/tests/all_actions.right.xml

Test-Command: cp -a debian/tests/all_actions.* $AUTOPKGTEST_TMP;
              xmldiff $AUTOPKGTEST_TMP/all_actions.left.xml $AUTOPKGTEST_TMP/all_actions.right.xml > $AUTOPKGTEST_TMP/diff;
              xmlpatch $AUTOPKGTEST_TMP/diff $AUTOPKGTEST_TMP/all_actions.left.xml
Depends: @
